function [G,c] = LinearGravot(X,K)
[m,n]=size(X);
Col=K*(n-1)+1;
Dim=n-1;
G=zeros(1,Col);
c=zeros(1,K);
%Gravity of clusters
for i=1:m
    for j=1:K
        if X(i,n)==j
            from=(j-1)*(Dim)+1;
            to=j*(Dim);
            G(1,from:to)=G(1,from:to)+ X(i,1:Dim);
            c(1,j)=c(1,j) + 1;
        end
    end
end
for j=1:K
    if c(1,j) > 0
        from=(j-1)*(Dim)+1;
        to=j*(Dim);
        G(1,from:to)=G(1,from:to)./c(j);
    else
        from=(j-1)*(Dim)+1;
        to=j*(Dim);
        G(1,from:to)=0;
    end
end