function [G,c] = Gravot(X,K)
[n,m]=size(X);
G=zeros(K,m);
c=zeros(K,1);
%Gravity of clusters
for i=1:n
    for j=1:K
        if X(i,m)==j
            G(j,:)=G(j,:)+ X(i,:);
            c(j,1)=c(j,1) + 1;
        end
    end
end
G(:,m)=0;
for j=1:K
    if c(j,1) > 0
        G(j,:)=G(j,:)./c(j,1);
    else
        G(j,:)=0;
    end
end
